OpenVDB 7.0.0

Public Member Functions | List of all members
UniformPrimBuilder Struct Reference

`#include <VolumeToMesh.h>`

## Public Member Functions
| UniformPrimBuilder ()
void | init (const size_t upperBound, PolygonPool &quadPool)
template<typename IndexType >
void | addPrim (const math::Vec4< IndexType > &verts, bool reverse, char flags=0)
void | done ()

## Constructor & Destructor Documentation

## ◆ UniformPrimBuilder()

UniformPrimBuilder | ( |  | ) |
| inline

## Member Function Documentation

## ◆ addPrim()

void addPrim | ( | const math::Vec4< IndexType > & | verts,
|  | bool | reverse,
|  | char | flags = `0`
| ) |  |
| inline

## ◆ done()

void done | ( |  | ) |
| inline

## ◆ init()

void init | ( | const size_t | upperBound,
|  | PolygonPool & | quadPool
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h